-- VERSION 1.0 SCRIPTS

-- This script will strip off the UUID/GUID from the name
-- so that the remaining synchronization scripts receive "102"
-- instead of '102:b23fdbed-bead-418a-9d53-917e774c2f4f'
CALL ml_add_connection_script( 'v1.0', 'modify_user', '
    CALL sp_ML_modify_user( ? ) 
' );

-- The remaining scripts do not require changing, since the MobiLink
-- user name has already been changed in the above event.

CALL ml_add_table_script( 'v1.0', 'customer', 'download_cursor', '
    SELECT cust_id, first_name, last_name, assigned_to, last_modified
      FROM customer
     WHERE last_modified >= ?
       AND assigned_to    = ?
' );

CALL ml_add_table_script( 'v1.0', 'customer', 'upload_insert', '
    INSERT INTO customer(
               cust_id, first_name, last_name, assigned_to, last_modified
           )
    VALUES ( ?, ?, ?, ? )
' );

CALL ml_add_table_script( 'v1.0', 'customer', 'upload_update', '
     UPDATE customer
        SET first_name    = ?,
            last_name     = ?,
            assigned_to   = ?,
            last_modified = ?
      WHERE cust_id   = ?
' );

CALL ml_add_table_script( 'v1.0', 'customer', 'upload_delete', '
    DELETE FROM customer
     WHERE cust_id = ?
' );


COMMIT;

-- db_ext:dsnname=cons,type=ASA

